org.apache.olingo.commons.api.edmx

## Class EdmxReference

- java.lang.Object
- - org.apache.olingo.commons.api.edmx.EdmxReference

- All Implemented Interfaces:
    CsdlAnnotatable

      public class EdmxReference
      extends Object
      implements CsdlAnnotatable

  POJO for Edmx Reference.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EdmxReference(URI uri)` Create reference with given uri

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EdmxReference` | `addInclude(EdmxReferenceInclude include)` Add include element to current list.
    `EdmxReference` | `addIncludeAnnotation(EdmxReferenceIncludeAnnotation includeAnnotation)` Add include annotation element to current list.
    `List<CsdlAnnotation>` | `getAnnotations()` Returns a list of annotations
    `List<EdmxReferenceIncludeAnnotation>` | `getIncludeAnnotations()` edmx:IncludeAnnotations elements that specify the annotations to include from the target document.
    `List<EdmxReferenceInclude>` | `getIncludes()` edmx:Include elements that specify the schemas to include from the target document
    `URI` | `getUri()` Get URI for the reference
    `EdmxReference` | `setAnnotations(List<CsdlAnnotation> annotations)` Sets annotations.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EdmxReference

          public EdmxReference(URI uri)

      Create reference with given uri
      Parameters:
        `uri` - of reference

  - ### Method Detail

    - #### getUri

          public URI getUri()

      Get URI for the reference
      Returns:
        uri for the reference

    - #### getIncludes

          public List<EdmxReferenceInclude> getIncludes()

      edmx:Include elements that specify the schemas to include from the target document
      Returns:
        list of `EdmxReferenceInclude` in reference or null if none specified

    - #### addInclude

          public EdmxReference addInclude(EdmxReferenceInclude include)

      Add include element to current list.
      Parameters:
        `include` - to be added
      Returns:
        this EdmxReference object

    - #### getIncludeAnnotations

          public List<EdmxReferenceIncludeAnnotation> getIncludeAnnotations()

      edmx:IncludeAnnotations elements that specify the annotations to include from the target document.
      Returns:
        List of `EdmxReferenceIncludeAnnotation` or null if none specified

    - #### addIncludeAnnotation

          public EdmxReference addIncludeAnnotation(EdmxReferenceIncludeAnnotation includeAnnotation)

      Add include annotation element to current list.
      Parameters:
        `includeAnnotation` - to be added
      Returns:
        this EdmxReference object

    - #### getAnnotations

          public List<CsdlAnnotation> getAnnotations()

      Description copied from interface: `CsdlAnnotatable`
      Returns a list of annotations
      Specified by:
        `getAnnotations` in interface `CsdlAnnotatable`
      Returns:
        list of annotations

    - #### setAnnotations

          public EdmxReference setAnnotations(List<CsdlAnnotation> annotations)

      Sets annotations.
      Parameters:
        `annotations` - the annotations
      Returns:
        the annotations

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.